| - doubao-seed-2-0-lite-260428
- doubao-seed-2-0-mini-260428
- doubao-seed-2-0-pro-260215
- doubao-seed-2-0-lite-260215
- doubao-seed-2-0-mini-260215
- doubao-seed-2-0-code-preview-260215
curl https://ark.cn-beijing.volces.com/api/v3/chat/completions \ -H "Content-Type: application/json" \ -H "Authorization: Bearer $ARK_API_KEY" \ "model": "doubao-seed-2-0-lite-260215", "thinking":{"type": "enabled"}, "description": "地点的位置信息,例如北京、上海。", 第一轮响应:返回工具调用指令 模型会返回reasoning_content、tool_calls等关键字段。 "finish_reason": "tool_calls", "reasoning_content": "用户想查询今天北京的天气,这正好符合get_weather工具的功能,需要传入location参数为北京。所以我要调用这个工具来获取天气信息。", "arguments": " {\"location\": \"北京\"}", "id": "call_wiezxeyae8jzxl3jx8nhfgb5", 第二轮请求:回传完整上下文并生成最终响应 在第一轮请求的基础上,还需要回传思维链信息、工具调用结果,模型生成自然语言回答。 curl https://ark.cn-beijing.volces.com/api/v3/chat/completions \ -H "Content-Type: application/json" \ -H "Authorization: Bearer $ARK_API_KEY" \ "model": "doubao-seed-2-0-lite-260215", "reasoning_content": "用户想查询今天北京的天气,这正好符合get_weather工具的功能,需要传入location参数为北京。所以我要调用这个工具来获取天气信息。", "arguments": " {\"location\": \"北京\"}", "id": "call_wiezxeyae8jzxl3jx8nhfgb5", "tool_call_id":"call_wiezxeyae8jzxl3jx8nhfgb5", "thinking":{"type": "enabled"}, "description": "地点的位置信息,例如北京、上海。", | - doubao-seed-2-0-lite-260428
- doubao-seed-2-0-mini-260428
- doubao-seed-2-0-pro-260215
- doubao-seed-2-0-lite-260215
- doubao-seed-2-0-mini-260215
- doubao-seed-2-0-code-preview-260215
curl https://ark.cn-beijing.volces.com/api/v3/responses \ -H "Authorization: Bearer $ARK_API_KEY" \ -H "Content-Type: application/json" \ "model": "doubao-seed-2-0-lite-260215", "thinking":{"type": "enabled"}, "description": "地点的位置信息,例如北京、上海。" "required": ["location"] 第一轮响应:返回工具调用指令 模型返回信息包含id、call_id、arguments等关键字段。 "created_at": 1766126702, "id": "resp_0217661267019147d8950efa0e2f7c9d9cc7a1cc971272cf4548c", "max_output_tokens": 32768, "model": "doubao-seed-2-0-lite-260215", "id": "rs_02176612670248500000000000000000000ffffac154e10754f5c", "text": "用户问今天北京的天气怎么样,我需要调用get_weather工具,参数location是北京。按照格式要求来写函数调用。" "arguments": " {\"location\": \"北京\"}", "call_id": "call_t885uulopdd499rn0pioze7l", "type": "function_call", "id": "fc_02176612670345400000000000000000000ffffac154e10a6753e", 第二轮请求:回传结果并生成最终响应 传入上一轮 response_id、工具调用结果等信息,模型生成自然语言回答。 curl https://ark.cn-beijing.volces.com/api/v3/responses \ -H "Authorization: Bearer $ARK_API_KEY" \ -H "Content-Type: application/json" \ "model": "doubao-seed-2-0-lite-260215", "type": "function_call_output", "call_id": "call_t885uulopdd499rn0pioze7l", "previous_response_id": "resp_0217661267019147d8950efa0e2f7c9d9cc7a1cc971272cf4548c", "thinking":{"type": "enabled"}, "description": "地点的位置信息,例如北京、上海。" "required": ["location"] |